.krakkis-grid-title {
    margin-bottom: 30px;
    text-align: center;
}

.krakkis-grid-row {
    display: grid;
    grid-template-columns: 1fr;
    gap: 32px 16px;
}

.krakkis-grid-row.has-bg {
    padding: 64px 80px;
    background-image: url("../img/gambling-slot-machine-casino.webp");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.krakkis-grid-row.cols-3 {
    grid-template-columns: 1fr 1fr 1fr;
}

.krakkis-grid-row.cols-2 {
    grid-template-columns: 1fr 1fr;
}

.krakkis-grid-item {
    padding: 32px;
    background-color: var(--dark);
    color: var(--White);
}

.krakkis-grid-item p {
    line-height: 1.5;
}

.krakkis-grid-item h3 {
    font-size: 20px;
}

@media (min-width: 992px) {
    .krakkis-grid-row.has-bg .krakkis-grid-item:last-child {
        grid-column: span 2;
    }
}

@media screen and (max-width: 991px)  {
    .krakkis-grid-row.cols-3 {
        grid-template-columns: 1fr 1fr;
    }
    .krakkis-grid-row.cols-2 {
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 768px)  {
    .krakkis-grid-item {
        padding: 24px 15px;
    }

    .krakkis-grid-item h3 {
        font-size: 16px;
    }

    .krakkis-grid-row.has-bg {
        padding: 30px 15px;
    }
}

@media screen and (max-width: 650px)  {
    .krakkis-grid-row,
    .krakkis-grid-row.cols-3,
    .krakkis-grid-row.cols-2  {
        grid-template-columns: 1fr;
    }
}